﻿using System.Windows;
using Telerik.Windows;

namespace BugTrackerDragDrop.Controls
{
	public delegate void ClickEventHnadler(DependencyObject sender, ClickEventArgs e);

	public class ClickEventArgs : RadRoutedEventArgs
	{
		public ClickEventArgs(Telerik.Windows.RoutedEvent routedEvent, object source, int count)
			: base(routedEvent, source)
		{
			this.ClickCount = count;
		}

		public int ClickCount
		{
			get;
			protected set;
		}
	}
}
