﻿using System;

namespace BugTrackerDragDrop
{
    public static class Extensions
    {
		/// <summary>
		/// Extension alias of the String.Format, used for brevity.
		/// </summary>
		/// <param name="target">The string to format.</param>
		/// <param name="args">The arguments to substitute in the string.</param>
		/// <returns>The formatted string.</returns>
        public static string F(this string target, params object[] args)
        {
			// #Format
            return String.Format(target, args);
        }
    }
}
