﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using BugTrackerDragDrop.ViewModels;

namespace BugTrackerDragDrop.Views
{
    public class CompareItemTemplateSelector:DefaultDataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is TeamMemberViewModel)
            {
                return Provider.Resources["TeamMemberCompareTemplate"] as DataTemplate;
            }
            else if (item is TeamViewModel)
            {
				return Provider.Resources["TeamCompareTemplate"] as DataTemplate;
            }

            return null;
        }
    }
}
