﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using BugTrackerDragDrop.ViewModels;
using System.Windows.Media.Imaging;

namespace BugTrackerDragDrop.Views
{
    public class StatusToIconConverter:IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var status = value as BugStatusViewModel;
            if (status == null)
            {
				return new BitmapImage(new Uri("/Images/StatusBlack.png", UriKind.Relative));
            }
            if (status == BugStatusViewModel.Closed)
            {
				return new BitmapImage(new Uri("/Images/StatusGreen.png", UriKind.Relative));
            }
            else
            {
				return new BitmapImage(new Uri("/Images/StatusRed.png", UriKind.Relative));
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
