﻿using System.Windows;
using BugTrackerDragDrop.ViewModels;

namespace BugTrackerDragDrop.Views
{
    public class CompareItemHeaderTemplateSelector:DefaultDataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is TeamMemberViewModel)
            {
                return Provider.Resources["TeamMemberCompareHeaderTemplate"] as DataTemplate;
            }
            else if (item is TeamViewModel)
            {
				return Provider.Resources["TeamTemplate"] as DataTemplate;
            }

			return base.SelectTemplate(item, container);
        }
    }
}
