﻿using System.Windows.Controls;
using System.Windows.Media;
using System.Windows;

namespace BugTrackerDragDrop.Views
{
	public partial class DataTemplatesProvider : UserControl
	{
		private static DataTemplatesProvider instance;
		public static DataTemplatesProvider Instance
		{
			get
			{
				return instance ?? (instance = new DataTemplatesProvider());
			}
		}

		public DataTemplatesProvider()
		{
			InitializeComponent();
		}

		public Brush DropPossibleBackground
		{
			get
			{
				return this.Resources["DropPossibleBackground"] as Brush;
			}
		}

		public DataTemplate DragCueTemplate
		{
			get
			{
				return this.Resources["DragCueTemplate"] as DataTemplate;
			}
		}
	}
}
